import { fetch } from '@/utils'
// 检查当前登录人员类型
export function getUserType(data) {
  return fetch({
    url: '/sell/checkSubSaler',
    // url: '/newErp/checkSubSaler',
    method: 'post',
    data,
    loading: true
  })
}
// 汇总接口
export function getSummary(data) {
  return fetch({
    url: '/sell/querySubSaler',
    // url: '/newErp/querySubSaler',
    method: 'post',
    data,
    loading: true
  })
}
// 销售员
export function saleInfo(data) {
  return fetch({
    url: '/sell/querySaleTotalBySaler_PS',
    // url: '/newErp/querySaleTotalBySaler_PS',
    method: 'post',
    data,
    loading: true
  })
}
// 获取客户列表
export function getCustomerList(data) {
  return fetch({
    url: '/customer/queryClientTotalBySaler_PS',
    // url: '/newErp/queryClientTotalBySaler_PS',
    method: 'post',
    data,
    loading: true
  })
}
// 获取资信详情
export function getCWNData(data) {
  return fetch({
    url: '/customer/queryClientCredit',
    // url: '/newErp/queryClientCredit',
    method: 'post',
    data,
    loading: true
  })
}
// 获取客户订单
export function getOrderList(data) {
  return fetch({
    url: '/orders/queryOrderInfoByClient_PS',
    // url: '/newErp/queryOrderInfoByClient_PS',
    method: 'post',
    data,
    loading: true
  })
}
// 获取商品
export function getGoodsList(data) {
  return fetch({
    url: '/orders/queryLinesInfoByOrder_PS',
    // url: '/newErp/queryLinesInfoByOrder_PS',
    method: 'post',
    data,
    loading: true
  })
}
// 获取物流信息
export function getLogStepList(data) {
  return fetch({
    url: '/orders/queryOrderLogisticsInfo_PS',
    // url: '/newErp/queryOrderLogisticsInfo_PS',
    method: 'post',
    data,
    loading: true
  })
}
// 获取批号信息
export function getLotData(data) {
  return fetch({
    url: '/orders/queryLotsInfoByOrderlines_PS',
    // url: '/newErp/queryLotsInfoByOrderlines_PS',
    method: 'post',
    data,
    loading: true
  })
}
